Bug 7780 - fix translator tool verbosity
Summary: fix translator tool verbosity
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Paul Poulain
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7938
  Show dependency treegraph
 
Reported: 2012-03-21 15:09 UTC by Paul Poulain
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7780: make silent/verbose flag for translation installing (8.43 KB, patch)
2012-03-21 15:18 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 7780: make silent/verbose flag for translation installing (8.51 KB, patch)
2012-03-21 15:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Refactored patch (7.43 KB, patch)
2012-03-23 09:49 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-03-21 15:09:12 UTC
translator tool -in misc/translator- has parameters that should make him silent or verbose, they are not working : we always get the same verbosity.

Test plan :
* apply the patch
* launch translate update your-LANGUAGE => it should be silent (except if there is an invalid thing in your .po)
* launch translate update -v your-LANGUAGE => it should be verbose

same thing for install & create pragmas
Comment 1 Paul Poulain 2012-03-21 15:18:59 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-03-21 15:36:32 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-03-21 15:46:08 UTC
Hm, sign-off dependent on adding documentation about the new parameter. I missed that :)
Comment 4 Frédéric Demians 2012-03-23 09:49:45 UTC
Created attachment 8559 [details] [review]
Refactored patch
Comment 5 Jonathan Druart 2012-03-23 11:07:18 UTC
QA comments: 
Adds a verbose flag for the translate script.
Errors appear if exist.

Works as expected, mark as Passed QA.
Comment 6 Paul Poulain 2012-03-26 09:03:24 UTC
refactored patch also tested by me, work fine. Pushed
Comment 7 Jared Camins-Esakov 2012-05-09 20:03:16 UTC
This bug will be included in the Koha 3.6.5 release.